Subject: Grubs, moles and poisons

From: [email-masked]
Date: 30 Mar 95 15:04:41 EST

My whole area has been devasted by Japanese Beetle grubs. My garden
is only destroyed in patches, but some people have lost their entire
lawns. We are starting to warm up, and soon the grubs will wake up
and start munching.

I have been told by my Ag. Extension people that milky spore will not
work in this area--I was very interested in using this because it is
not a poison. Apparently Michigan gets too cold in the winter and the
milky spore cannot survive. I have been advised that poison is the
only way to go in this climate, but now I have heard of a new 
product called Biosafe which contains "..near microscopic WORMS."

Has anybody used this stuff? What is it exactly? DOES IT WORK?

I am grateful for any advice, and so would the mole people be. 

Sarah
Ypsilanti, Michigan